This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1251773 - Fedora crashes on logging out of gnome-shell when second monitor is off
Fedora crashes on logging out of gnome-shell when second monitor is off
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
22
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-09 18:50 EDT by Chris Rankin
Modified: 2016-07-19 13:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:26:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Rankin 2015-08-09 18:50:30 EDT
Description of problem:
I have a T60p laptop connected to a docking station that contains a HD4650 graphics card. The main monitor is connected to the docking station, but I have also connected a HDTV to the docking station. (The HD4650 has two DVI ports). This setup was fine with Fedora 21. However, since upgrading to Fedora 22, the system crashes whenever I log out of gnome-shell when the HDTV is off.

Monitor on DVI-1
HDTV on DVI-0

Version-Release number of selected component (if applicable):
Current as on 9th August

How reproducible:
Always when the second monitor is completely off


Steps to Reproduce:
1. Login to gnome shell with the HDTV also connected to the docking station and switched off. (Not even on stand-by).
2. Don't logout immediately. I typically open Firefox.
3. Logout

Actual results:
The login screen does not reappear again after logging out. The laptop seems to "suspend to RAM" instead, but doesn't come back to life again. (Sometimes, the "lock" screen appears briefly before the monitor goes to sleep).

Expected results:
The login screen reappears so that I can login again.

Additional info:
This isn't a Wayland bug because it still happens after disabling Wayland via editing /etc/gdm/custom.conf.

And I cannot find any log files that can give me the slightest clue what is going wrong?!
Comment 1 Fedora End Of Life 2016-07-19 13:26:06 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.